.newsletter-block {padding: 60px 0; position: relative;}
.newsletter-block img.bg {max-inline-size: 100%; block-size: auto; object-fit: cover; width: 100%; height: 100%; position: absolute; top: 0; left: 0; z-index: 10;}
.newsletter-block .container {position: relative; z-index: 100; text-align: center;}
.newsletter-block .container .row {row-gap: 35px;}
.newsletter-block .intro {row-gap: 35px;}
.newsletter-block .intro .heading {font-size: 40px; line-height: 1.1; font-weight: 700; margin: 0; padding: 0; text-shadow: 0px 5px 20px rgba(0, 0, 0, 0.1); color: var(--one);}
.newsletter-block .intro .heading:after {height: 3px; content: ''; width: 70px; background-color: var(--two);  display: block; margin: auto; margin-top: 35px; top: 100%; display: table; left: 0; right: 0;}
.newsletter-block .intro p {margin: 0; padding: 0; color: var(--one);}
.newsletter-block .newsletter-form,
.newsletter-block .newsletter-form form {display: flex; flex-direction: column; gap: 35px; align-items: center;}
.newsletter-block .newsletter-form form input[type="email"] {max-width: 400px; width: 100%; border: 1px solid var(--one);  background: transparent; padding: 15px; color: var(--one);}
.newsletter-block .newsletter-form form input[type="email"]::placeholder {color: var(--one);}
.newsletter-block .newsletter-form form .newsletter-rodo {display: flex; gap: 15px; align-items: baseline; text-align: left; font-size: 14px; color: var(--one);}
.newsletter-block .newsletter-form form input[type="checkbox"] {background: transparent;}
.newsletter-block .newsletter-form #submit {display: flex; padding: 15px 40px; background-color: var(--two); color: var(--one);  border: solid 1px var(--two);}
.newsletter-block .newsletter-form #submit:hover {background-color: var(--two-dark); border: solid 1px var(--two-dark); opacity: 1;}
.newsletter-block .newsletter-alert {display: flex; padding: 15px 40px; color: var(--one);  font-size: 12px;}
.newsletter-block .newsletter-alert.success {background-color: #2ea300;}
.newsletter-block .newsletter-alert.error {background-color: #f41e1f;}
.newsletter-block .newsletter-alert.rodo {background-color: #f41e1f;}
.newsletter-block input.blow {box-shadow: 0px 0px 10px 5px #f41e1f;}

body.ks-rounding-light .newsletter-block .newsletter-form form input[type="email"] {border-radius: 8px;}
body.ks-rounding-strong .newsletter-block .newsletter-form form input[type="email"] {border-radius: 32px;}
body.ks-rounding-light .newsletter-block .newsletter-form #submit {border-radius: 8px;}
body.ks-rounding-strong .newsletter-block .newsletter-form #submit {border-radius: 32px;}
body.ks-rounding-light .newsletter-block .newsletter-alert.success {border-radius: 8px;}
body.ks-rounding-strong .newsletter-block .newsletter-alert.success {border-radius: 32px;}
body.ks-rounding-light .newsletter-block .newsletter-alert.error {border-radius: 8px;}
body.ks-rounding-strong .newsletter-block .newsletter-alert.error {border-radius: 32px;}
body.ks-rounding-light .newsletter-block .newsletter-alert.rodo {border-radius: 8px;}
body.ks-rounding-strong .newsletter-block .newsletter-alert.rodo {border-radius: 32px;}
body.ks-rounding-light .newsletter-block input.blow {border-radius: 8px;}
body.ks-rounding-strong .newsletter-block input.blow {border-radius: 32px;}
